import lejos.nxt.*;
import java.util.ArrayList;
/**
 * A behavior that uses an ultrasonic sensor on port S1
 * to make a car avoid objects in front of the car. 
 *  
 * @author  Ole Caprani
 * @version 23.08.08
 */
public class AvoidFront extends Behavior 
{    
    private UltrasonicSensor us ;
    private final int tooCloseThreshold = 35; // cm

    public AvoidFront( String name, ArrayList behaviors)
    {
    	super(name, behaviors);
        us = new UltrasonicSensor(SensorPort.S1);
    }
   
    public void run() 
    {
        while (true)
        {
            int distance = us.getDistance();
            while ( distance > tooCloseThreshold )
            {
                distance = us.getDistance();
                drawInt(distance);
            }

            suppressLower();
		    
            backward(100,100);
            drawString("b");
            delay(1000);
            forward(0,80);
            drawString("f");
            delay(800); 
            stop();
            drawString("s");
            delay(500); 
            drawString(" ");
		    
            unsuppressLower();		   
        }
    }
}


