import lejos.nxt.*;
import java.util.ArrayList;
/**
 * A behavior that uses two light sensors on port S2 and S3
 * to make a car drive towards light.
 *  
 * @author  Bent Bisballe Nyeng
 * @version 07.11.08
 */
public class DriveTowardsLight extends Behavior 
{    
    private LightSensor l1;
    private LightSensor l2;
    private int offset = 60;
    private int threshold = 80;

    public DriveTowardsLight(String name, ArrayList behaviors)
    {
    	super(name, behaviors);
	l1 = new LightSensor(SensorPort.S2);
	l2 = new LightSensor(SensorPort.S3);
	l1.setFloodlight(false);
	l2.setFloodlight(false);
    }
   
    public void run() 
    {
        while (true)
        {
	    // Read value from light sensors
	    int val1 = l1.readValue() + offset;
	    int val2 = l2.readValue() + offset;

	    drawInt(val1);

	    if(val1 > threshold || val2 > threshold) {
		suppressLower();		   
		drawString("l");
		forward(val2, val1);
		delay(500); 
		unsuppressLower();
	    } else {
		drawString("d");
	    }
	}
    }
}


